/*******************************************************************************
* File Name: Char_LCD_LCDPort.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Char_LCD_LCDPort_ALIASES_H) /* Pins Char_LCD_LCDPort_ALIASES_H */
#define CY_PINS_Char_LCD_LCDPort_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"


/***************************************
*              Constants        
***************************************/
#define Char_LCD_LCDPort_0			(Char_LCD_LCDPort__0__PC)
#define Char_LCD_LCDPort_0_INTR	((uint16)((uint16)0x0001u << Char_LCD_LCDPort__0__SHIFT))

#define Char_LCD_LCDPort_1			(Char_LCD_LCDPort__1__PC)
#define Char_LCD_LCDPort_1_INTR	((uint16)((uint16)0x0001u << Char_LCD_LCDPort__1__SHIFT))

#define Char_LCD_LCDPort_2			(Char_LCD_LCDPort__2__PC)
#define Char_LCD_LCDPort_2_INTR	((uint16)((uint16)0x0001u << Char_LCD_LCDPort__2__SHIFT))

#define Char_LCD_LCDPort_3			(Char_LCD_LCDPort__3__PC)
#define Char_LCD_LCDPort_3_INTR	((uint16)((uint16)0x0001u << Char_LCD_LCDPort__3__SHIFT))

#define Char_LCD_LCDPort_4			(Char_LCD_LCDPort__4__PC)
#define Char_LCD_LCDPort_4_INTR	((uint16)((uint16)0x0001u << Char_LCD_LCDPort__4__SHIFT))

#define Char_LCD_LCDPort_5			(Char_LCD_LCDPort__5__PC)
#define Char_LCD_LCDPort_5_INTR	((uint16)((uint16)0x0001u << Char_LCD_LCDPort__5__SHIFT))

#define Char_LCD_LCDPort_6			(Char_LCD_LCDPort__6__PC)
#define Char_LCD_LCDPort_6_INTR	((uint16)((uint16)0x0001u << Char_LCD_LCDPort__6__SHIFT))

#define Char_LCD_LCDPort_INTR_ALL	 ((uint16)(Char_LCD_LCDPort_0_INTR| Char_LCD_LCDPort_1_INTR| Char_LCD_LCDPort_2_INTR| Char_LCD_LCDPort_3_INTR| Char_LCD_LCDPort_4_INTR| Char_LCD_LCDPort_5_INTR| Char_LCD_LCDPort_6_INTR))

#endif /* End Pins Char_LCD_LCDPort_ALIASES_H */


/* [] END OF FILE */
